; to convert coloured buttons at 1af800 to grey ones at 18f800
; to convert coloured buttons to reverse coloured ones : from 1b5b00 to 195b00

	movea.l	#$1b5b00,a0
	movea.l	#$195b00,a1
	move.w	#$8880,d0
	moveq	#$60-1,d4	; number lines

	lea	$28(a0),a0	; skip blanks
	lea	$28(a1),a1

.lp0:	moveq	#$16-1,d3		; number to transfer

.lp1:	move.w	(a0)+,d1
	beq.b	.ok
	eor.w	d0,d1
.ok:	move.w	d1,(a1)+
	dbra	d3,.lp1
	lea	$34(a0),a0
	lea	$34(a1),a1
	dbra	d4,.lp0

	illegal

